Bug 476629 - rpmbuild --rebuild fails on s390 arch
rpmbuild --rebuild fails on s390 arch
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: seamonkey (Show other bugs)
3.9
s390 Linux
low Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 06:02 EST by Xiaohong Wang
Modified: 2009-01-07 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 19:42:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaohong Wang 2008-12-16 06:02:46 EST
Description of problem:


Version-Release number of selected component (if applicable):
seamonkey-1.0.9-0.29.el3

How reproducible:


Steps to Reproduce:
1. log into s390-3as.z900.redhat.com
2. run rpmbuild --rebuild /mnt/redhat/brewroot/packages/seamonkey/1.0.9/0.29.el3/src/seamonkey-1.0.9-0.29.el3.src.rpm
3.
  
Actual results:
Failed to rebuild for following errors:

--- REBUILD: seamonkey-1.0.9-0.29.el3.src.rpm for s390 ---------------------
begin at 12/16/2008 02:17:23 on s390-3as.z900.redhat.com

doRpmCommand: s390 rpmbuild --rebuild    --target=s390 --rcfile /tmp/tps_rpmrc_R18307:/usr/lib/rpm/rpmrc:/usr/lib/rpm/redhat/rpmrc /mnt/redhat/brewroot/packages/seamonkey/1.0.9/0.29.el3/src/seamonkey-1.0.9-0.29.el3.src.rpm
doRpmCommand-result (256): 
FAILED to rebuild /mnt/redhat/brewroot/packages/seamonkey/1.0.9/0.29.el3/src/seamonkey-1.0.9-0.29.el3.src.rpm -- return code 256


REBUILD: FAIL for seamonkey-1.0.9-0.29.el3.src.rpmBUILDLOG: seamonkey-1.0.9-0.29.el3.src.rpm-s390-rebuild.log contains full details.  Reports from make and rpmbuild, with line numbers:
22262-/usr/src/redhat/BUILD/mozilla/config/nsinstall -R -m 755 ../../dist/lib/libsmime3.so ../../dist/gre
22263-/usr/src/redhat/BUILD/mozilla/config/nsinstall -R -m 644 ../../dist/lib/libfreebl3.chk ../../dist/gre
22264-/usr/src/redhat/BUILD/mozilla/config/nsinstall: cannot access ../../dist/lib/libfreebl3.chk: No such file or directory
22265-gmake[1]: *** [libs] Error 1
22266-gmake[1]: Leaving directory `/usr/src/redhat/BUILD/mozilla/security/manager'
22267:make: *** [libs] Error 2
22268:error: Bad exit status from /var/tmp/rpm-tmp.20966 (%build)
22269-
22270-
22271-RPM build errors:
22272-    user mockbuild does not exist - using root
22273-    group mockbuild does not exist - using root

Last 20 lines of Build Log:
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    Bad exit status from /var/tmp/rpm-tmp.20966 (%build)

===============
end test at Tue Dec 16 03:38:03 EST 2008 on s390-3as.z900.redhat.com
TPSRESULT: REBUILD: seamonkey-1.0.9-0.29.el3.src.rpm for s390 Returning: FAIL

Expected results:


Additional info:
Comment 1 Kai Engert (:kaie) 2009-01-07 10:45:18 EST
I've started a build on that machine, and will look at the output later today.
Comment 2 Kai Engert (:kaie) 2009-01-07 19:42:29 EST
Xiaohong, my test on this machine completed successfully.

.live.[root@s390-3as root]# cat /etc/redhat-release
Red Hat Enterprise Linux AS release 3 (Taroon Update 9)

I ran the build as root...

                          ERRATA STABLE SYSTEM s390-3as
                            s390-3as.z900.redhat.com
              Installed on Wed Jan 7 13:51:42 EST 2009 by OATS from
                   /mnt/redhat/released/RHEL-3/U9/AS/s390/tree

You can find the build log in /root/kaie*

Note You need to log in before you can comment on or make changes to this bug.